# std::multimap::lower_bound

From cppreference.com
< cpp‎ | container‎ | multimap

iterator lower_bound( const Key& key ); | (1) |
const_iterator lower_bound( const Key& key ) const; | (1) |
template< class K > iterator lower_bound(const K& x); | (2) | (since C++14)
template< class K > const_iterator lower_bound(const K& x) const; | (2) | (since C++14)

1) Returns an iterator pointing to the first element that is not less than `key`.
2) Returns an iterator pointing to the first element that compares not less to the value `x`. This overload only participates in overload resolution if the qualified-id Compare::is_transparent is valid and denotes a type. They allow calling this function without constructing an instance of `Key`.

### Parameters

key | - | key value to compare the elements to
x | - | alternative value that can be compared to `Key`

### Return value

Iterator pointing to the first element that is not less than `key`. If no such element is found, a past-the-end iterator (see end()) is returned.

### Complexity

Logarithmic in the size of the container.

### See also

equal_range | returns range of elements matching a specific key (public member function)
upper_bound | returns an iterator to the first element greater than the given key (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/multimap/lower_bound&oldid=50587"